be.ehealth.businessconnector.hub.service

## Interface IntraHubAccessRightService

- All Known Implementing Classes:
    IntraHubAccessRightServiceImpl

      public interface IntraHubAccessRightService

  Interface for access rights specific intrahub services Contains basic requests for this kind of services Default impl : `IntraHubAccessRightServiceImpl`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessRightListType` | `getAccessRight(TransactionIdType transaction)` Gets the access right.
    `TransactionAccessListType` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)` Gets the patient audit trail.
    `void` | `putAccessRight(AccessRightType accessRight)` Put access right.
    `void` | `revokeAccessRight(SelectRevokeAccessRightType accessRight)` Revoke access right.

- - ### Method Detail

    - #### putAccessRight

          void putAccessRight(AccessRightType accessRight)
                       throws TechnicalConnectorException,
                              IntraHubBusinessConnectorException

      Put access right.
      Parameters:
        `accessRight` - the access right
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception
        `BusinessConnectorException`

    - #### getAccessRight

          AccessRightListType getAccessRight(TransactionIdType transaction)
                                      throws TechnicalConnectorException,
                                             IntraHubBusinessConnectorException

      Gets the access right.
      Parameters:
        `transaction` - the transaction
      Returns:
        the access right
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception
        `BusinessConnectorException`

    - #### revokeAccessRight

          void revokeAccessRight(SelectRevokeAccessRightType accessRight)
                          throws TechnicalConnectorException,
                                 IntraHubBusinessConnectorException

      Revoke access right.
      Parameters:
        `accessRight` - the access right
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception
        `BusinessConnectorException`

    - #### getPatientAuditTrail

          TransactionAccessListType getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)
                                                  throws TechnicalConnectorException,
                                                         IntraHubBusinessConnectorException

      Gets the patient audit trail.
      Parameters:
        `patientAuditTrail` - the patient audit trail
      Returns:
        the patient audit trail
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException` - the business connector exception
        `BusinessConnectorException`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.